php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #63902 Compile errors - missing include dir deprecated function call?
Submitted: 2013-01-04 14:28 UTC Modified: 2017-04-01 21:20 UTC
Votes:2
Avg. Score:4.0 ± 1.0
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:1 (50.0%)
From: scossu at artic dot edu Assigned:
Status: Wont fix Package: PDO_4D (PECL)
PHP Version: 5.4.10 OS: Arch Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: scossu at artic dot edu
New email:
PHP Version: OS:

 

 [2013-01-04 14:28 UTC] scossu at artic dot edu
Description:
------------
Source won't compile. 
First, it complains about not finding fourd.h. I fixed that by adding 
-I./lib4d_sql to Makefile, after configuration. 
Then an error is thrown (see Actual result below). After replacing function_entry 
with zend_function_entry (see patch below), it compiled successfully. 


Expected result:
----------------
Compile source 

Actual result:
--------------
pdo_4d.c:52:1: error: unknown type name ‘function_entry’
pdo_4d-0.3/pdo_4d.c:53:2: warning: braces around scalar initializer [enabled by 
default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: (near initialization for 
‘pdo_4d_functions[0]’) [enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: initialization makes integer from pointer 
without a cast [enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: (near initialization for 
‘pdo_4d_functions[0]’) [enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: excess elements in scalar initializer 
[enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: (near initialization for 
‘pdo_4d_functions[0]’) [enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: excess elements in scalar initializer 
[enabled by default]
pdo_4d-0.3/pdo_4d.c:53:2: warning: (near initialization for 
‘pdo_4d_functions[0]’) [enabled by default]
pdo_4d-0.3/pdo_4d.c:63:2: warning: initialization from incompatible pointer type 
[enabled by default]
pdo_4d-0.3/pdo_4d.c:63:2: warning: (near initialization for 
‘pdo_4d_module_entry.functions’) [enabled by default]
make: *** [pdo_4d.lo] Error 1


Patches

pdo_4d.c.patch (last revision 2013-01-04 14:30 UTC by scossu at artic dot edu)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2013-06-25 18:49 UTC] eosrei at gmail dot com
I believe this is fixed in SVN: http://svn.php.net/viewvc/pecl/pdo_4d/trunk/pdo_4d.c?r1=290197&r2=297236
 [2017-04-01 21:20 UTC] tpunt@php.net
-Status: Open +Status: Wont fix
 [2017-04-01 21:20 UTC] tpunt@php.net
Due to this extension not seeing any activity since 2009, this issue will not be fixed. We are therefore closing this now.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Thu Nov 14 03:01:30 2019 UTC